Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/Registry.EM
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/Registry.EM	(revision 158)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/Registry.EM	(revision 170)
@@ -102,4 +102,5 @@
 state  real  RAVE      ij   misc  1  -  rd   "RAVE"      "MEAN ICE RADIUS"                 "m"       #SAVEMARS2 rave
 state  real  RICE      ikj  misc  1  -  rd   "RICE"      "ICE RADIUS"                      "m"       #SAVEMARS3 rice
+state  real  PDTZ      ikj  misc  1  -  rd   "PDT"       "TEMP TENDENCY"                   "K s-1"   #SAVEMARS3 pdt
 ####
 ####
@@ -119,4 +120,6 @@
 state  real  QDUST     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt) "QDUST"      "Dust mixing ratio"          "kg kg-1"
 state  real  qtrac1    ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt) "qtrac1"     "Decaying tracer 1"          "kg kg-1"
+state  real  upward    ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt) "upward"     "Decaying tracer surf"       "kg kg-1"
+state  real  downward  ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt) "downward"   "Decaying tracer zi"         "kg kg-1"
 ####
 ####
@@ -1490,4 +1493,5 @@
 package   dust         mars==2                      -              moist:qv;scalar:qdust
 package   radioac      mars==20                     -              scalar:qtrac1
+package   radioac2     mars==21                     -              scalar:upward,downward
 ##### MARS OPTIONS
 ##### MARS OPTIONS
Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/res/LES/input/input_zipbl
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/res/LES/input/input_zipbl	(revision 170)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/res/LES/input/input_zipbl	(revision 170)
@@ -0,0 +1,482 @@
+  0        6.00
+  0        6.03
+  0        6.05
+  0        6.08
+  0        6.11
+  0        6.14
+  0        6.16
+  0        6.19
+  0        6.22
+  0        6.24
+  0        6.27
+  0        6.30
+  0        6.32
+  0        6.35
+  0        6.38
+  0        6.41
+  0        6.43
+  0        6.46
+  0        6.49
+  0        6.51
+  0        6.54
+  0        6.57
+  0        6.59
+  0        6.62
+  0        6.65
+  0        6.68
+  0        6.70
+  0        6.73
+  0        6.76
+  0        6.78
+  0        6.81
+  0        6.84
+  0        6.86
+  0        6.89
+  0        6.92
+  0        6.95
+  0        6.97
+  0        7.00
+  0        7.03
+  0        7.05
+  0        7.08
+  0        7.11
+  0        7.14
+  0        7.16
+  0        7.19
+  0        7.22
+  0        7.24
+  0        7.27
+  0        7.30
+  0        7.32
+  0        7.35
+  0        7.38
+  0        7.41
+  0        7.43
+  0        7.46
+  0        7.49
+  0        7.51
+  0        7.54
+  0        7.57
+  0        7.59
+  0        7.62
+  0        7.65
+  0        7.68
+  0        7.70
+  0        7.73
+  0        7.76
+  0        7.78
+  0        7.81
+  0        7.84
+  0        7.86
+  0        7.89
+  0        7.92
+  0        7.95
+  0        7.97
+  0        8.00
+  0        8.03
+  0        8.05
+  0        8.08
+  0        8.11
+  0        8.14
+  0        8.16
+  0        8.19
+  0        8.22
+  0        8.24
+  0        8.27
+  0        8.30
+  0        8.32
+  0        8.35
+  0        8.38
+  0        8.41
+  0        8.43
+  0        8.46
+  0        8.49
+  0        8.51
+  0        8.54
+  0        8.57
+  0        8.59
+  0        8.62
+  0        8.65
+  0        8.68
+  0        8.70
+  0        8.73
+  0        8.76
+  0        8.78
+  0        8.81
+  0        8.84
+  0        8.86
+  0        8.89
+  0        8.92
+  0        8.95
+  0        8.97
+  19        9.00
+  19        9.03
+  19        9.05
+  20        9.08
+  20        9.11
+  20        9.14
+  21        9.16
+  21        9.19
+  21        9.22
+  22        9.24
+  22        9.27
+  22        9.30
+  23        9.32
+  23        9.35
+  23        9.38
+  24        9.41
+  24        9.43
+  24        9.46
+  25        9.49
+  25        9.51
+  26        9.54
+  26        9.57
+  26        9.59
+  27        9.62
+  27        9.65
+  27        9.68
+  28        9.70
+  28        9.73
+  28        9.76
+  29        9.78
+  29        9.81
+  30        9.84
+  30        9.86
+  31        9.89
+  31        9.92
+  32        9.95
+  32        9.97
+  32       10.00
+  33       10.03
+  33       10.05
+  34       10.08
+  34       10.11
+  34       10.14
+  35       10.16
+  35       10.19
+  36       10.22
+  36       10.24
+  37       10.27
+  37       10.30
+  38       10.32
+  38       10.35
+  39       10.38
+  39       10.41
+  40       10.43
+  40       10.46
+  41       10.49
+  41       10.51
+  42       10.54
+  42       10.57
+  42       10.59
+  43       10.62
+  43       10.65
+  44       10.68
+  44       10.70
+  45       10.73
+  45       10.76
+  46       10.78
+  46       10.81
+  47       10.84
+  47       10.86
+  48       10.89
+  48       10.92
+  48       10.95
+  49       10.97
+  49       11.00
+  49       11.03
+  50       11.05
+  50       11.08
+  51       11.11
+  51       11.14
+  52       11.16
+  53       11.19
+  53       11.22
+  54       11.24
+  55       11.27
+  56       11.30
+  56       11.32
+  57       11.35
+  57       11.38
+  58       11.41
+  58       11.43
+  58       11.46
+  59       11.49
+  59       11.51
+  59       11.54
+  60       11.57
+  60       11.59
+  60       11.62
+  61       11.65
+  61       11.68
+  62       11.70
+  62       11.73
+  63       11.76
+  63       11.78
+  64       11.81
+  64       11.84
+  65       11.86
+  65       11.89
+  66       11.92
+  66       11.95
+  67       11.97
+  68       12.00
+  68       12.03
+  68       12.05
+  69       12.08
+  69       12.11
+  70       12.14
+  70       12.16
+  70       12.19
+  71       12.22
+  71       12.24
+  71       12.27
+  71       12.30
+  72       12.32
+  72       12.35
+  72       12.38
+  73       12.41
+  73       12.43
+  73       12.46
+  74       12.49
+  74       12.51
+  75       12.54
+  75       12.57
+  76       12.59
+  76       12.62
+  76       12.65
+  77       12.68
+  77       12.70
+  78       12.73
+  78       12.76
+  78       12.78
+  79       12.81
+  79       12.84
+  80       12.86
+  80       12.89
+  81       12.92
+  81       12.95
+  81       12.97
+  82       13.00
+  82       13.03
+  82       13.05
+  83       13.08
+  83       13.11
+  83       13.14
+  83       13.16
+  83       13.19
+  83       13.22
+  84       13.24
+  84       13.27
+  84       13.30
+  85       13.32
+  85       13.35
+  85       13.38
+  86       13.41
+  86       13.43
+  87       13.46
+  87       13.49
+  87       13.51
+  88       13.54
+  88       13.57
+  88       13.59
+  89       13.62
+  89       13.65
+  89       13.68
+  90       13.70
+  90       13.73
+  90       13.76
+  91       13.78
+  91       13.81
+  91       13.84
+  91       13.86
+  91       13.89
+  91       13.92
+  91       13.95
+  91       13.97
+  91       14.00
+  92       14.03
+  92       14.05
+  93       14.08
+  93       14.11
+  93       14.14
+  94       14.16
+  94       14.19
+  95       14.22
+  95       14.24
+  95       14.27
+  96       14.30
+  96       14.32
+  96       14.35
+  96       14.38
+  96       14.41
+  96       14.43
+  96       14.46
+  96       14.49
+  97       14.51
+  97       14.54
+  97       14.57
+  97       14.59
+  97       14.62
+  97       14.65
+  97       14.68
+  97       14.70
+  97       14.73
+  98       14.76
+  98       14.78
+  98       14.81
+  98       14.84
+  98       14.86
+  98       14.89
+  98       14.92
+  98       14.95
+  98       14.97
+  98       15.00
+  98       15.03
+  98       15.05
+  98       15.08
+  99       15.11
+  99       15.14
+  99       15.16
+  98       15.19
+  98       15.22
+  98       15.24
+  98       15.27
+  98       15.30
+  98       15.32
+  98       15.35
+  98       15.38
+  98       15.41
+  98       15.43
+  98       15.46
+  98       15.49
+  99       15.51
+  99       15.54
+  99       15.57
+  99       15.59
+  99       15.62
+  99       15.65
+  99       15.68
+  99       15.70
+  99       15.73
+  99       15.76
+  99       15.78
+  99       15.81
+  99       15.84
+  97       15.86
+  93       15.89
+  87       15.92
+  80       15.95
+  71       15.97
+  62       16.00
+  0       16.03
+  0       16.05
+  0       16.08
+  0       16.11
+  0       16.14
+  0       16.16
+  0       16.19
+  0       16.22
+  0       16.24
+  0       16.27
+  0       16.30
+  0       16.32
+  0       16.35
+  0       16.38
+  0       16.41
+  0       16.43
+  0       16.46
+  0       16.49
+  0       16.51
+  0       16.54
+  0       16.57
+  0       16.59
+  0       16.62
+  0       16.65
+  0       16.68
+  0       16.70
+  0       16.73
+  0       16.76
+  0       16.78
+  0       16.81
+  0       16.84
+  0       16.86
+  0       16.89
+  0       16.92
+  0       16.95
+  0       16.97
+  0       17.00
+  0       17.03
+  0       17.05
+  0       17.08
+  0       17.11
+  0       17.14
+  0       17.16
+  0       17.19
+  0       17.22
+  0       17.24
+  0       17.27
+  0       17.30
+  0       17.32
+  0       17.35
+  0       17.38
+  0       17.41
+  0       17.43
+  0       17.46
+  0       17.49
+  0       17.51
+  0       17.54
+  0       17.57
+  0       17.59
+  0       17.62
+  0       17.65
+  0       17.68
+  0       17.70
+  0       17.73
+  0       17.76
+  0       17.78
+  0       17.81
+  0       17.84
+  0       17.86
+  0       17.89
+  0       17.92
+  0       17.95
+  0       17.97
+  0       18.00
+  0       18.03
+  0       18.05
+  0       18.08
+  0       18.11
+  0       18.14
+  0       18.16
+  0       18.19
+  0       18.22
+  0       18.24
+  0       18.27
+  0       18.30
+  0       18.32
+  0       18.35
+  0       18.38
+  0       18.41
+  0       18.43
+  0       18.46
+  0       18.49
+  0       18.51
+  0       18.54
+  0       18.57
+  0       18.59
+  0       18.62
+  0       18.65
+  0       18.68
+  0       18.70
+  0       18.73
+  0       18.76
+  0       18.78
+  0       18.81
+  0       18.84
+  0       18.86
+  0       18.89
+  0       18.92
+  0       18.95
+  0       18.97
+  0       19.00