Index: trunk/MESOSCALE/PLOT/PYTHON/map_ecmwf.py
===================================================================
--- trunk/MESOSCALE/PLOT/PYTHON/map_ecmwf.py	(revision 180)
+++ trunk/MESOSCALE/PLOT/PYTHON/map_ecmwf.py	(revision 181)
@@ -42,8 +42,8 @@
 			m = myp.define_proj(proj,wlon,wlat)
 			x, y = m(lon2d, lat2d)
-			m.drawmeridians(np.r_[wlon[0]:wlon[1]:step*2], labels=[0,0,0,1], color='grey')
-			m.drawparallels(np.r_[wlat[0]:wlat[1]:step  ], labels=[1,0,0,0], color='grey')
-			#m.bluemarble()
-			m.warpimage(myp.earthmap("nice"))
+			#m.drawmeridians(np.r_[wlon[0]:wlon[1]:step*2], labels=[0,0,0,1], color='grey')
+			#m.drawparallels(np.r_[wlat[0]:wlat[1]:step  ], labels=[1,0,0,0], color='grey')
+			m.bluemarble()
+			#m.warpimage(myp.earthmap("nice"))
 			zeplot = m.contour(x, y, field, 20)
 			plt.clabel(zeplot, inline=1, inline_spacing=1, fontsize=7, fmt='%0i')
Index: trunk/MESOSCALE/PLOT/PYTHON/mylib/myplot.py
===================================================================
--- trunk/MESOSCALE/PLOT/PYTHON/mylib/myplot.py	(revision 180)
+++ trunk/MESOSCALE/PLOT/PYTHON/mylib/myplot.py	(revision 181)
@@ -47,8 +47,8 @@
     import  matplotlib.pyplot as plt
     res = int(res)
-    if folder != '':	name = folder+'/'+filename+str(res)+".png"
-    else:           	name = filename+str(res)+".png"
+    if folder != '':      name = folder+'/'+filename+str(res)+".png"
+    else:           	  name = filename+str(res)+".png"
     plt.savefig(name,dpi=res,bbox_inches='tight',pad_inches=pad_inches_value)
-    if disp:		display(name)		
+    if disp:              display(name)		
     return
 
@@ -118,5 +118,5 @@
 def display (name):
 	from 	os 				import system
-	system("eog "+name+" > /dev/null 2> /dev/null &")
+	system("display "+name+" > /dev/null 2> /dev/null &")
 	return name
 
@@ -138,5 +138,5 @@
     meanlat = 0.5*(wlat[0]+wlat[1])
     h = 2000.
-    if   char == "cyl":     m = Basemap(projection='cyl',llcrnrlat=wlat[0],urcrnrlat=wlat[1],llcrnrlon=wlon[0],urcrnrlon=wlon[1])#,suppress_ticks=False)
+    if   char == "cyl":     m = Basemap(projection='cyl',llcrnrlat=wlat[0],urcrnrlat=wlat[1],llcrnrlon=wlon[0],urcrnrlon=wlon[1])
     elif char == "moll":    m = Basemap(projection='moll',lon_0=meanlon)
     elif char == "ortho":   m = Basemap(projection='ortho',lon_0=meanlon,lat_0=meanlat)
Index: trunk/MESOSCALE/PLOT/PYTHON/scripts/domain.py
===================================================================
--- trunk/MESOSCALE/PLOT/PYTHON/scripts/domain.py	(revision 180)
+++ trunk/MESOSCALE/PLOT/PYTHON/scripts/domain.py	(revision 181)
@@ -4,9 +4,10 @@
 
 def usage():
-    print 'USAGE:  plot.py file '
+    print 'USAGE:  plot.py file (target)'
     print 'file  : name of input netcdf file.'
-    print 'Example:  domain.py /tmp7/aslmd/HELLAS/wrfout_d02_2024-10-03_06:00:00'
+    print '(target) : a directory with write rights.'
+    print 'Example:  domain.py /d5/aslmd/LMD_MM_MARS_SIMUS/OM/OM6_TI85/wrfout_d01_2024-06-43_06:00:00 ~/'
 
-def domain (namefile,proj="ortho",back="molabw"): #vishires
+def domain (namefile,proj="ortho",back="molabw",target=None): #vishires
     from netCDF4 import Dataset
     from myplot import getcoord2d,define_proj,makeplotpng,simplinterv
@@ -18,8 +19,10 @@
     x, y = m(lon2d, lat2d)
     contourf(x, y, nc.variables['HGT'][0,:,:] / 1000., 50)
-    makeplotpng(namefile+".domain",pad_inches_value=0.05)
+    if not target:   zeplot = namefile+".domain"
+    else:            zeplot = target+"domain"
+    makeplotpng(zeplot,pad_inches_value=0.35)
 
 if __name__ == "__main__":
     import sys
-    domain(str(sys.argv[1]))
-
+    if (len(sys.argv)) == 2:     domain( str(sys.argv[1]) )
+    elif (len(sys.argv)) == 3:   domain( str(sys.argv[1]) , target = str(sys.argv[2]) )
Index: trunk/MESOSCALE/PLOT/PYTHON/scripts/winds.py
===================================================================
--- trunk/MESOSCALE/PLOT/PYTHON/scripts/winds.py	(revision 180)
+++ trunk/MESOSCALE/PLOT/PYTHON/scripts/winds.py	(revision 181)
@@ -4,10 +4,11 @@
 
 def usage():
-    print 'USAGE:  winds.py ntime nvert file'
+    print 'USAGE:  winds.py nvert file (target)'
     print 'file  : name of input netcdf file.'
     print 'nvert : vertical level.'
-    print 'Example: winds.py 0 /d5/aslmd/LMD_MM_MARS_SIMUS/OM/OM6_TI85/wrfout_d01_2024-06-43_06:00:00_zabg'
+    print '(target) : a directory with write rights.'
+    print 'Example: winds.py 0 /d5/aslmd/LMD_MM_MARS_SIMUS/OM/OM6_TI85/wrfout_d01_2024-06-43_06:00:00_zabg ~/'
 
-def winds (namefile,nvert,proj="cyl",back=None): 
+def winds (namefile,nvert,proj="cyl",back=None,target=None): 
     from netCDF4 import Dataset
     from myplot import getcoord2d,define_proj,makeplotpng,simplinterv,vectorfield,ptitle
@@ -31,5 +32,7 @@
                       scale=20., factor=300., color='k')
        sub += 1
-    makeplotpng(namefile+".winds"+str(nvert),pad_inches_value=0.35)   
+    if not target:   zeplot = namefile+".winds"+str(nvert)
+    else:            zeplot = target+"winds"+str(nvert)
+    makeplotpng(zeplot,pad_inches_value=0.35)   
 
 def getwinds (nc,charu='Um',charv='Vm'):
@@ -40,3 +43,4 @@
 if __name__ == "__main__":
     import sys
-    winds(str(sys.argv[2]),int(sys.argv[1]))
+    if (len(sys.argv)) == 3:     winds( str(sys.argv[2]) , int(sys.argv[1]) )
+    elif (len(sys.argv)) == 4:   winds( str(sys.argv[2]) , int(sys.argv[1]) , target=str(sys.argv[3]))