Index: trunk/MESOSCALE/PLOT/PYTHON/mylib/myplot.py
===================================================================
--- trunk/MESOSCALE/PLOT/PYTHON/mylib/myplot.py	(revision 187)
+++ trunk/MESOSCALE/PLOT/PYTHON/mylib/myplot.py	(revision 188)
@@ -165,5 +165,5 @@
     u = smooth(u,csmooth)
     v = smooth(v,csmooth)
-    widthvec = 0.005 #0.003
+    widthvec = 0.003 #0.005 #0.003
     q = plt.quiver( x[::stride,::stride],\
                     y[::stride,::stride],\
Index: trunk/MESOSCALE/PLOT/PYTHON/scripts/winds.py
===================================================================
--- trunk/MESOSCALE/PLOT/PYTHON/scripts/winds.py	(revision 187)
+++ trunk/MESOSCALE/PLOT/PYTHON/scripts/winds.py	(revision 188)
@@ -16,5 +16,5 @@
            numplot=4,\
            var=None,\
-           colorb=None): 
+           colorb=None):
 
     #################################
@@ -47,8 +47,11 @@
                                     ## pb avec les autres (de trace derriere la sphere ?)
 
-    ####################################################################
-    #### For mesoscale results plot the underlying topography by default 
-    if typefile in ['mesoapi','meso']: 
-        if var == None: back="mola" #var = 'HGT'
+    ############################################
+    #### Choose underlying topography by default 
+    if not back:
+        if not var:                                        back = "mola"    ## if no var:         draw mola
+        elif typefile in ['mesoapi','meso'] \
+             and proj not in ['merc','lcc']:               back = "molabw"  ## if var but meso:   draw molabw
+        else:                                              pass             ## else:              draw None
 
     ####################################################
@@ -100,5 +103,12 @@
     if var:
         basename = basename + "_" + var
-    basename = basename + "_z" + str(nvert)
+    if   typefile is 'meso':                    stralt = "_lvl" + str(nvert)
+    elif typefile is 'mesoapi':  
+        zelevel = int(nc.variables['vert'][nvert])
+        if 'altitude_abg'   in nc.dimensions:   stralt = "_"+str(zelevel)+"m-ALS"
+        elif 'bottom_top'   in nc.dimensions:   stralt = "_"+str(zelevel)+"m-AMR"
+        elif 'pressure'     in nc.dimensions:   stralt = "_"+str(zelevel)+"Pa" 
+    else:                                       stralt = ""          
+    basename = basename + stralt
 
     ##################################
@@ -158,7 +168,6 @@
        elif numplot == 1:
            found_lct = True 
-        ### If only one local time is requested (numplot < 0)
+            ### If only one local time is requested (numplot < 0)
        elif numplot <= 0: 
-           #print (ltst+i)%24, numplot, (ltst+i)%24+numplot
            if (ltst+i)%24 + numplot != 0:   continue
            else:                            found_lct = True
@@ -185,8 +194,10 @@
            key = False
        if metwind:  [vecx,vecy] = m.rotate_vector(vecx, vecy, lon2d, lat2d)
+       if var == None and back == "vishires":  colorvec = 'w'
+       else:                                   colorvec = 'k'
        vectorfield(vecx, vecy,\
                       x, y, stride=stride, csmooth=stride,\
-                      scale=15., factor=200., color='k', key=key)
-                                                   ## or csmooth=2
+                      scale=15., factor=300., color=colorvec, key=key)
+                                        #200.         ## or csmooth=2
        
        ### Next subplot
@@ -226,6 +237,6 @@
     from api_wrapper import api_onelevel
     parser = OptionParser()
-    parser.add_option('-f', action='store', dest='namefile',    type="string",  default=None,  help='name of WRF file [NEEDED]')
-    parser.add_option('-l', action='store', dest='nvert',       type="float",   default=0,     help='vertical level (def=0)')
+    parser.add_option('-f', action='store', dest='namefile',    type="string",  default=None,  help='[NEEDED] name of WRF file')
+    parser.add_option('-l', action='store', dest='nvert',       type="float",   default=0,     help='vertical level (def=0)(-i 2: p,mbar)(-i 3,4: z,km)')
     parser.add_option('-p', action='store', dest='proj',        type="string",  default=None,  help='projection')
     parser.add_option('-b', action='store', dest='back',        type="string",  default=None,  help='background')
@@ -234,5 +245,5 @@
     parser.add_option('-v', action='store', dest='var',         type="string",  default=None,  help='variable contoured')
     parser.add_option('-n', action='store', dest='numplot',     type="int",     default=4,     help='number of plots (def=1)(<0: 1 plot of LT -*numplot*)')
-    parser.add_option('-i', action='store', dest='interp',      type="int",     default=None,  help='interpolation method (done at level *nvert* km)')
+    parser.add_option('-i', action='store', dest='interp',      type="int",     default=None,  help='interpolation method (2: press, 3: z-amr, 4:z-als)')
     parser.add_option('-c', action='store', dest='colorb',      type="string",  default=None,  help='colorbar')
     (opt,args) = parser.parse_args()
@@ -244,4 +255,5 @@
     zefile = opt.namefile    
     zelevel = opt.nvert   
+    stralt = None
     if opt.interp is not None:
         if opt.nvert is 0 and opt.interp is 4:  zelevel = 0.010
@@ -254,5 +266,6 @@
                                  interp_method   = opt.interp, \
                                  onelevel        = zelevel )
-        zelevel = 0
-
-    winds (zefile,int(zelevel),proj=opt.proj,back=opt.back,target=opt.target,stride=opt.stride,var=opt.var,numplot=opt.numplot,colorb=opt.colorb)
+        zelevel = 0 ## so that zelevel could play again the role of nvert
+
+    winds (zefile,int(zelevel),\
+           proj=opt.proj,back=opt.back,target=opt.target,stride=opt.stride,var=opt.var,numplot=opt.numplot,colorb=opt.colorb)